import { aZ as d, aW as e } from "./index-6jcTChn4.js";
import { A as c } from "./AppCard-YGWCah1h.js";
import { u as m } from "./useIsAppEnabled-i8k_pVtm.js";
import u from "./EventTypeAppSettingsInterface-NsYWVhXE.js";
const C = function({ app: t, eventType: p }) {
  const { getAppData: s, setAppData: a, disabled: n } = d(), { enabled: r, updateEnabled: o } = m(t);
  return /* @__PURE__ */ e.jsx(
    c,
    {
      app: t,
      switchOnClick: (i) => {
        o(i);
      },
      switchChecked: r,
      children: /* @__PURE__ */ e.jsx(
        u,
        {
          slug: t.slug,
          eventType: p,
          disabled: n,
          getAppData: s,
          setAppData: a
        }
      )
    }
  );
};
export {
  C as default
};
